ZWField Struct Reference documentation

ZWField Struct Reference

a structure to store a field of a ZWrite file More...

`#include <ZWrtParser.hxx>`

## Public Member Functions
| ZWField ()
| constructor
bool | getString (MWAWInputStreamPtr &input, std::string &str) const
| returns the string corresponding to a field
bool | getBool (MWAWInputStreamPtr &input, bool &val) const
| returns the boolean corresponding to a field ( T or F )
bool | getInt (MWAWInputStreamPtr &input, int &val) const
| returns the int corresponding to a field
bool | getFloat (MWAWInputStreamPtr &input, float &val) const
| returns the float corresponding to a field
bool | getIntList (MWAWInputStreamPtr &input, std::vector< int > &val) const
| returns a list of int corresponding to a field
bool | getDebugString (MWAWInputStreamPtr &input, std::string &str) const
| returns a debug string corresponding to a field ( replacing \n by ##[0d], ...)

## Public Attributes
MWAWEntry | m_pos
| the field position in the rsrc data file

## Detailed Description

a structure to store a field of a ZWrite file

## Constructor & Destructor Documentation

## ◆ ZWField()

ZWField::ZWField | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getBool()

bool ZWField::getBool | ( | MWAWInputStreamPtr & | input,
|  | bool & | val ) const

returns the boolean corresponding to a field ( T or F )

Referenced by ZWrtText::readHFZone(), ZWrtParser::readHTMLPref(), ZWrtParser::readPrintInfo(), and ZWrtText::readStyles().

## ◆ getDebugString()

bool ZWField::getDebugString | ( | MWAWInputStreamPtr & | input,
|  | std::string & | str ) const

returns a debug string corresponding to a field ( replacing \n by ##[0d], ...)

Referenced by ZWrtText::readHFZone().

## ◆ getFloat()

bool ZWField::getFloat | ( | MWAWInputStreamPtr & | input,
|  | float & | val ) const

returns the float corresponding to a field

Referenced by ZWrtParser::readPrintInfo().

## ◆ getInt()

bool ZWField::getInt | ( | MWAWInputStreamPtr & | input,
|  | int & | val ) const

returns the int corresponding to a field

Referenced by ZWrtText::readHFZone(), ZWrtParser::readPrintInfo(), ZWrtText::readStyles(), and ZWrtParser::readWindowPos().

## ◆ getIntList()

bool ZWField::getIntList | ( | MWAWInputStreamPtr & | input,
|  | std::vector< int > & | val ) const

returns a list of int corresponding to a field

Referenced by ZWrtText::readHFZone().

## ◆ getString()

bool ZWField::getString | ( | MWAWInputStreamPtr & | input,
|  | std::string & | str ) const

returns the string corresponding to a field

Referenced by getBool(), getFloat(), getInt(), getIntList(), ZWrtText::readHFZone(), ZWrtParser::readHTMLPref(), and ZWrtText::readStyles().

## Member Data Documentation

## ◆ m_pos

MWAWEntry ZWField::m_pos

the field position in the rsrc data file

Referenced by getBool(), getDebugString(), ZWrtParser::getFieldList(), getString(), ZWrtText::readHFZone(), and ZWField().

The documentation for this struct was generated from the following files:

- ZWrtParser.hxx
- ZWrtParser.cxx